## Changes in Heptapod

Each entry in this changelog should be sorted first by backwards
incompatibility, then by importance.

**WARNING do NOT upgrade directly from Heptapod <= 0.8 to Heptapod >= 0.12**

Please read migration instructions in the
[installation notice](INSTALL_HEPTAPOD.md)

### Heptapod 0.26.0 (2021-11-08)

#### Major changes since 0.25.2

- Mercurial 5.9 on Python 3.9
- New Project and Group access level: Mercurial Publisher

#### Changes since 0.26.0rc2

- heptapod#273: Mercurial Publisher role can be used in protected branches
  and tags settings; updated the [builtin documentation](https://foss.heptapod.net/help/user/permissions.html).

#### Heptapod 0.26.0rc2 (2021-11-04)

- all changes from Heptapod 0.25.2 (including GitLab 14.2.6)

#### Heptapod 0.26.0rc1 (2021-11-26)

- heptapod#541: Mercurial 5.9
- heptapod#547: Omnibus/Docker binaries ship Python 3.9
- heptapod#273: Introducing the Mercurial Publisher access level
- heptapod#556: fixed Repository Group Settings
- heptapod!289: internal infrastructure for future Mercurial operation
  without an auxiliary Git repository.
- heptapod#325: using hg-loggingmod 0.3.0 to provide more error details in
  Mercurial logs for tracebacks.

### Heptapod 0.25.2 (2021-11-04)

- heptapod#560: upstream GitLab update to 14.2.6 (from 14.2.5)
- heptapod#554: Only the first line of commit descriptions was displayed
  in the UI for native Mercurial projects.
- heptapod#556: fixed broken Group Settings > Repository page
- heptapod#452: Errors occurring with pushes or publications of
  some branch closing changesets (one fix and mitigation for other cases).
- heptapod#325: more tracebacks in server-side logs
- heptapod#548: native mode was ignored in Mercurial imports
- hgitaly!68: expose changeset time zones to the Rails application and
  more generally improved HGitaly conformance to client expectations, thanks
  to refactoring in Gitaly Comparison tests making them more thorough.

### Heptapod 0.25.1 (2021-10-04)

- heptapod#544: upstream GitLab update to 14.2.5 (from 14.2.3)

### Heptapod 0.25.0 (2021-09-21)

#### Major changes since 0.24.1

- GitLab 14.2
- heptapod#523: VCS type for new Projects: native Mercurial becomes the
  default; non-native is disabled, can be re-enabled if needed.

#### Changes since 0.25.0rc1

- heptapod#523: VCS type for new Projects: native Mercurial becomes the
  default; non-native is disabled, can be re-enabled if needed.
- heptapod#457: Project creation page now displays a customisable message
  instead of the form to users that don't have creation rights.
- Bump to GitLab 14.2.4 (from 14.2.3, a very minor patch release)

#### Heptapoad 0.25.0rc1 (2021-09-09)

- GitLab 14.2.3

### Heptapod 0.24.1 (2031-09-01)

- heptapod#530: upstream GitLab update to 14.0.9 (from 14.0.8)
- heptapod#526: backups and exports now include obsolete changesets

### Heptapod 0.24.0 (2021-08-29)

#### Major changes since 0.23.2

- GitLab 14.0

#### Changes compared to 0.24.0rc1

- Bump to GitLab 14.0.8 (from 14.0.7)
- heptapod!268: improvements to the (still experimental) Rake task migrating
  Mercurial projects to native.

#### Heptapoad 0.24.0rc1 (2021-08-24)

- GitLab 14.0.7
- heptapod#524: import by URL form now accepts URL that don't end with `.git`
  (was a blocker for Mercurial)

### Heptapod 0.23.2 (2021-08-04)

- heptapod#520: upstream GitLab update to 13.12.9 (from 13.12.8)
- internal: first usage of HGitaly protocol extensio and its
  corresponding Ruby library (at HGitaly version 0.14.3)

### Heptapod 0.23.1 (2021-07-09)

- heptapod#516: upstream GitLab update to 13.12.8 (from 13.12.6)

### Heptapod 0.23.0 (2021-07-05)

#### A mandatory version to stop at in big upgrades

Being based on the last GitLab 13 version, this version will be a mandatory
stop before migrating to any later version.

See [GitLab instructions](https://docs.gitlab.com/ee/update/index.html#upgrading-to-a-new-major-version) for more details.

#### Summary of changes compared to 0.22.2

- GitLab 13.12
- first experimental rake task for migration of Mercurial projects to native

#### Changes compared to Heptapod 0.23.0rc2

- heptapod#508: upstream GitLab update to 13.12.6 (from 13.12.5)
- heptapod#510: correctly handle several Mercurial pushvars

### Heptapod 0.23.0rc2 (2021-07-01)

- Bump to GitLab 13.12.5 (from 13.12.4)
- heptapod#505: Merge Request auto-creation by pushvars for native projects.
  Also made all post-receive internal notifications occur after Mercurial
  locks release.
- Native Mercurial: hgitaly!53 (implemented method for summary of changed
  files between two changesets)
- First experimental, almost untested, version of rake task for migration
  of Mercurial projects to native

#### Heptapod 0.23.0rc1 (2021-06-17)

- heptapod#498: GitLab 13.12.4
- all changes in Heptapod 0.22.1

### Heptapod 0.22.1 (2021-06-17)

- heptapod#492: upstream GitLab update to 13.11.5 (from 13.11.4)
- heptapod#225: using `hg push --pushvars` for [Push Options](https://docs.gitlab.com/ce/user/project/push_options.html)
- heptapod#494: binary uploads in Web IDE and REST API `encoding: "base64"`
  option.

### Heptapod 0.22.0 (2021-06-03)

#### Summary of changes compared to 0.21.4

- Gitlab 13.11
- heptapod#348: force re-rendering all comments to Issues, Merge Requests etc.
  For extra safety, backup the `note_html` column of the `notes` table in
  the PostgreSQL database before upgrade.
- heptapod#421, heptapod#485: commits known with both a Git and a Mercurial
  hash can now be addressed by both as a general fallback.
- hg-git 0.10

#### Changes since Heptapod 0.22.0rc1

- heptapod#348: force re-rendering all comments to Issues, Merge Requests etc.
  For extra safety, backup the `note_html` column of the `notes` table in
  the PostgreSQL database before upgrade.
- All changes released with 0.21.4, except heptapod#491 which is simply
  not a change on the 0.22.0 series

#### Heptapod 0.22.0rc1 (2021-05-26)

- GitLab 13.11.4
- heptapod#421 (native Mercurial projects): made old links to commits by
  Git SHA still work
- heptapod#485 (non-native Mercurial projects): made direct links
  to commits by Mercurial SHA work.
- hgitaly#26, heptapod#369 (native Mercurial projects): determination of
  Merge Request base changeset now provided by HGitaly
- using hg-git 0.10.1 internally
- all changes in Heptapod 0.21.3 (actually released the next day)

### Heptapod 0.21.4 (2021-06-03)

- heptapod#492: upstream GitLab update to 13.10.5 (from 13.10.4)
- heptapod#445: preserving line endings in Web UIs for Mercurial projects
- heptapod#491: fixed GitLab Pages in Docker installations (more generally
  with in-place chroots) by updating to upstream version 1.38.0
- heptapod#490: fixed Bitbucket Cloud Git repository import (was
  unintentionally converting to Mercurial!)
- heptapod#489: update of hg-evolve to 10.3.2
- omnibus-heptapod#19: bumped Python to 3.8.10 (from 3.8.9)

### Heptapod 0.21.3 (2021-05-27)

- heptapod#487: fixed crash of job page if relevant revision has become
  obsolete since the run.
- Heptapod Shell: corrected version in use to be 13.17.0, based on
  GitLab Shell 13.17.0, the version used in upstream GitLab 13.10 series.
- heptapod#482: using share-safe for server-side operations (merge, commit
  from UI)

### Heptapod 0.21.2 (2021-05-20)

- heptapod#480: support for single Project export/import
- heptapod#441: fixed crash when refusing more than four multiple heads on
  a single branch/topic combination.
- heptapod#479: displayed changeset hashes in forbidden multiple
  heads situations

### Heptapod 0.21.1 (2021-04-28)

- heptapod#475: upstream Gitlab update to 13.10.4 (from 13.10.3)
- fixed problem with user email login notifications
- all other changes from Heptapod 0.20.7 below

### Heptapod 0.21.0 (2021-04-22)

#### Summary of changes, compared to Heptapod 0.20.6

More details, notably issue links, are available in the sections below
about the release candidates.

- GitLab 13.10
- Mercurial 5.7, hg-evolve 10.3
- native Mercurial projects: [fully native mode](https://heptapod.net/the-road-to-fully-native-mercurial-in-heptapod.html#the-road-to-fully-native-mercurial-in-heptapod), controlled by
  [feature flags](https://foss.heptapod.net/help/administration/mercurial.md#the-feature-flags)

#### Heptapod 0.21.0rc3 (2021-04-22)

- all changes from Heptapod 0.20.6
- various improvements in testing of the native Mercurial mode

#### Heptapod 0.21.0rc2 (2021-04-16)

- heptapod!217 and HGitaly 0.12.0: fully native Mercurial mode, controlled
  by feature flags
- heptapod#468: GitLab 13.10.3
- all changes from Heptapod 0.20.5

#### Heptapod 0.21.0rc1 (2021-04-02)

- heptapod#462: GitLab 13.10.2
- heptapod#438: Mercurial 5.7.1 and hg-evolve 10.3.0

### Heptapod 0.20.7 (2021-04-28)

- heptapod#474: upstream Gitlab update to 13.9.7 (from 13.9.6)
- heptapod#356: Heptapod wording and log in email notifications
- (Omnibus/Docker): updated Python to 3.8.9 (from 3.8.8)

### Heptapod 0.20.6 (2021-04-22)

- heptapod#177: Mercurial `censor` (extension) now usable via REST API
- hgitaly!60 (native Mercurial projects): fixed two bug in lists of
  changesets, with potential impact in changesets displayed on
  Merge Requests

### Heptapod 0.20.5 (2021-04-15)

- heptapod#467: upstream Gitlab update to 13.9.6 (from 13.9.5)
- heptapod#466: memory leak reduction in HGitaly and inner HTTP server.
- heptapod#461: tags containing spaces blocking pushes because they
  triggered the protenction of heptapod#451

### Heptapod 0.20.4 (2021-04-01)

- heptapod#459: upstream Gitlab update to 13.9.5 (from 13.9.4)
- improvements and bug fixes about tags:
  + heptapod#451: require at least publishing permissions (currently
    Maintainer role) to push any Mercurial tag, even if draft.
  + heptapod#448: Mercurial tag removal by push
  + heptapod#432: protection against pruning tagged changesets won't trip
    anymore if the changeset defining the tag is itself pruned
- native Mercurial projects: "blame" file view (hgitaly#20)


### Heptapod 0.20.3 (2021-03-18)

- heptapod#444: upstream Gitlab update to 13.9.4 (from 13.9.3)

### Heptapod 0.20.2 (2021-03-12)

- heptapod#436: upstream GitLab update to 13.9.3 (from 13.9.2)
- heptapod#431 (Mercurial native projects only): synchronization and backup
  of internal state files used for GitLab refs, allowing future inclusion in
  future Heptapod 0.21 of the fully native mode.


### Heptapod 0.20.1 (2021-03-08)

- heptapod#433: upstream GitLab update to 13.9.2 (from 13.9.1)


### Heptapod 0.20.0 (2021-03-01)

#### Summary of changes since Heptapod 0.19.3
More details, notably issue links, are available in the sections below
about the release candidates.

- GitLab 13.9
- Omnibus packages and Docker image:
  + Rust Mercurial parts are now active by default
  + Bumped Python to 3.8.8 (from 3.8.7)
  + upstream changes between 13.7 and 13.9
- Source installations:
  + Heptapod Workhorse separate repository no longer relevant,
    use *only* the bundled Workhorse sources. See the [instructions](INSTALL_HEPTAPOD.md#building-heptapod-workhorse)
- Container Registry statistics, ignoring layer sharing between different
  top-level Groups. Values displayed on projects and subgroups
  are indicative only, taking layer reuse into account with a simple division.

#### Changes since Heptapod 0.20.0rc3

- GitLab 13.9.1
- heptapod#423: avoid retry storms caused by irrelevant ref deletion errors
  for native Mercurial repositories
- heptapod#430: display Container Registry stats in Web UI

### Heptapod 0.20.0rc3 (2021-02-26)

- heptapod#190: provided the configexpress extension
- omnibus-heptapod#17: Rust Mercurial parts are now active by default
- experimental statistics for the Container Registry

### Heptapod 0.20.0rc2 (2021-02-22)

- hg-evolve 10.2.0

Rehearsal for more automation in release of Heptapod.

### Heptapod 0.20.0rc1 (2021-02-22)

- heptapod#426: upstream GitLab version jump to 13.9.0
    + Omnibus: Ubuntu 20.04 becomes the main target distribution
    + Docker: Heptapod image now based on Ubuntu 20.04
- heptapod#402: stop using a separate project and repository for
  Heptapod Workhorse sources, and bundle them with the Rails application
  instead, like upstream is doing.

### Heptapod 0.19.3 (2021-02-12)

- heptapod#422: upstream GitLab update to 13.7.7 (from 13.7.6)
- heptapod#415: Mercurial changeset variables for tag and Merge Request
  pipelines
- heptapod#412: Group default VCS type setting

### Heptapod 0.19.2 (2021-02-08)

- upstream GitLab update to 13.7.6 (from 13.7.5)

### Heptapod 0.19.1 (2021-01-28)

- upstream GitLab update to 13.7.5 (from 13.7.4)
- heptapod#200: semi-linear merge method
- heptapod#411: instance-wide default VCS type
- heptapod#270: bumped maximum number of pipelines triggered by a
  single transaction to 15

### Heptapod 0.19.0 (2021-01-20)

#### Summary of changes since Heptapod 0.18.1
More details are available in the sections below about the release candidates.

- GitLab 13.7
- Most Heptapod specific Rails logs are now in `application_json.log`
- Git projects are now fully supported
- Mercurial native projects are still considered technology previews, but
  it's no longer considered dangerous to create them in production instances.
- heptapod#398: Git imports and Mercurial multiple import.
- heptapod#301: the `GET project/:id/hgrc` now returns a parsed JSON object.

#### Changes since Heptapod 0.19.0rc2

- heptapod#301: the `GET project/:id/hgrc` call now returns a parsed JSON
  object instead of a `content` field with raw file lines.
- more code quality improvements

### Heptapod 0.19.0rc2 (2020-01-18)

- Bump to GitLab 13.7.4 (from 13.7.3)
- All other changes in Heptapod 0.18.1
- heptapod#398:
  + Git import options (only direct URL and GitHub tested for now)
  + multiple imports with a "manifest" file (Mercurial
    only for now, tracking issue for the Git case is  heptapod#403)
- Switched Heptapod Rails specific logs to the upstream "structured" logging system: logs can now be found in [application_json.log](https://docs.gitlab.com/ee/administration/logs.html#application_jsonlog) or specialized logs. Logs for other components, notably Mercurial are unaffected by this change.
- fixed a few problems on empty Git repositories
- many code quality improvements

### Heptapod 0.19.0rc1 (2020-01-11)

- Jump to GitLab 13.7.3

### Heptapod 0.18.1 (2021-01-14)

- Upstream GitLab version bump to 13.5.6 (from 13.5.5)
- Improved support for Mercurial native projects: hgitaly#18, hgitaly#21
- heptapod#306: limited API scope (`trigger_api`) for Mercurial pull mirrors.

### Heptapod 0.18.0 (2010-12-21)

#### Summary of changes since Heptapod 0.17.3

More details are available in the sections below about the release candidates.

- GitLab 13.5, Mercurial 5.6
- Breaking configuration change: `experimental.single-head-per-branch=no` is
  ignored. `heptapod.allow_multiple_heads=yes` must be used instead.
- heptapod#393: protections against obsolescence of tagged and bookmarked
  changesets
- Omnibus/Docker Mercurial built with Rust extensions, optionally activable
- Mercurial native repositories: better support and performance improvements,
  %"HGitaly1: Hg SHAs" almost complete, still very experimental.
- heptapod#306: Mercurial pull mirrors REST API now complete. Still no Web UI
  creation.

On the development side, lots of testing and infrastructure work, in
preparation for the challenges of 2021.

#### Changes since Heptapod 0.18.0rc3

- heptapod#387: `hg_id` and `short_hg_id` fields in API Commit responses.
  (useful only for non-native Mercurial repositories)

### Heptapod 0.18.0rc3 (2020-12-18)

- heptapod#393: protections against obsolescence of tagged and bookmarked
  changesets
- heptapod#306 (Mercurial pull mirrors): ignoring bookmarks unless
  `heptapod.allow-bookmarks` is true, honouring the option to pull only
  for protected branches.
- all fixes in Heptapod 0.17.3
- Mercurial native repositories:
  + heptapod#373: state file for GitLab branches, written at every push
    and used if present in reads. Should make repositories with hundreds
    of branches usable.
  + hgitaly 0.6.0: several commit lookups used by the Rails application are
    now fulfilled

### Heptapod 0.18.0rc2 (2020-12-14)

- Upstream GitLab version bump to 13.5.5
- heptapod#378: Mercurial 5.6.1
- The `experimental.single-head-per-branch=no` HGRC setting is now ignored, as
  previously announced. Use `heptapod.allow-multiple-heads=yes` instead.
- Rust in Mercurial:
  + Source installations: separate pip requirements, Rust parts used
    unless explicitely disabled (see [INSTALL_HEPTAPOD](INSTALL_HEPTAPOD.md))
  + heptapod#386: options to disable Rust Mercurial parts
  + Docker/Omnibus: Rust parts provided, but disabled by default
- heptapod#392: Allowing bookmarks does not allow multiple heads automatically
  any more.
- heptapod#390: fixed problem with Git archive downloads

### Heptapod 0.18.0rc1: failed release

Not suitable for use

### Heptapod 0.17.3 (2020-12-15)

- heptapod#385: fixed Repository > Graph view
- Upstream GitLab version bump to 13.4.7 (from 13.4.6).

### Heptapod 0.17.2 (2020-12-03)

- DEPRECATION: using `experimental.single-head-per-branch=no` in HGRC files
  to allow multiple heads on branch/topic combinations won't work any more in
  Heptapod 0.18. Switch to `heptapod.allow_multiple_heads=yes` as soon
  as possible.
- heptapod#351: solved two performance issues on push reception: repos with
  obsolete topic heads and repos with lots of branches.
- heptapod#376: pipeline emails use the `To` message header if there is
  only one recipient.
- heptapod#306: (experimental) triggering for Mercurial pull mirrors via a
  new API endpoint and not upon push reception.
- heptapod#347: made it possible to push a topic whose name would not be valid
  as a Git branch name.
- heptapod#375: prevented wrong warning message about GitLab Shell version
- Mercurial native projects: backups implementation
- Mercurial native projects: fixed HGRC inheritance from Group upon transfers

### Heptapod 0.17.1 (2020-11-26)

- HGitaly service: multiprocessing for TCP server (used by all Mercurial
  projects for archive production)
- Mercurial native projects: bump to HGitaly>=0.4, fixing pipeline views and
  counts of divergent commits
- heptapod#306: experimental, minimal (no Web UI) Mercurial pull mirroring
  capability.
- heptapod#370: push blocked on projects where GitLab wants to use Git
  alternate stores `@pool`


### Heptapod 0.17.0 (2010-11-20)

#### Summary of changes since Heptapod 0.16.2

More details about most of these can be found in the the 0.17.0rc1 section

- GitLab 13.4 (existing projects get automatically converted to the hashed
  storage)
- tech preview: support for Git projects (enabled by default, feedback welcome)
- tech preview: Mercurial native projects (disabled by default, to be
  avoided on production instances)
- tech preview: Omnibus deployment (Ubuntu 16.04 only, tested only in Docker
  context)
- heptapod#368: full restoration of branch protections, but they are often
  masked with default settings (need to be Maintainer to push on a named
  branch).
- heptapod#352: new installation guide from source (new HGitaly service, new
  version numbers for components)

#### Changes since Heptapod 0.17.0rc1

- heptapod#368: protected branches, see above.
- heptapod#364 (native Mercurial projects): making internal triggers
  (GitLab hooks) work, thus fixing Merge Requests and
- Mercurial native projects: many small fixes in corner cases.

### Heptapod 0.17.0rc1 (2010-11-10)

- GitLab 13.4 (existing projects get automatically converted to the hashed
  storage)
- Project creation: choice of Version Control Systems, according to
  instance-wide options activated in Application Settings
- Docker: `hgserve` service renamed as `hg-inner-http`
- heptapod#27: Git support (enabled by default)
- Docker: new `hgitaly` service
- heptapod#204: archive downloads now provided by Mercurial (flowing from
  HGitaly through Workhorse)
- Omnibus deployments (tested only by Docker container)
- Very experimental native Mercurial projects (disabled by default).

  Do not enable on production servers until more mature, as it can break
  general pages, such as list of projects etc.

  Trying on testing instances will help making it production worthy.

  + for new projects only (no migration)
  + only basic Project browsing expected to work
  + part of the %"HGitaly1: Hg SHAs" milestone
  + Merge Request support and pipelines still under development
    (see notably heptapod#364)

### Heptapod 0.16.2 (2020-10-27)

- upstream GitLab update to 13.3.8 (from 13.3.6)
- heptapod#361: in some cases, users not allowed to create personal
  projects (e.g. external users) could still manage to do it.
- heptapod#354: update of Mercurial to 5.5.2 (from 5.5.1)

### Heptapod 0.16.1 (2020-10-01)

- heptapod#202: automatic changeset link in comments from its Node ID (SHA)
- heptapod#138: allowing to change Merge Requests source branches
- heptapod#349: don't display revision detail in help and admin pages if
  revision is tagged for the current `HEPTAPOD_VERSION`
- upstream GitLab update to 13.3.6 (from 13.3.5)
- omnibus-heptapod#8: no more `HEPTAPOD_REVISION` file, information is read
  directly from Mercurial archival metadata (Docker and source installations
  from tarballs) or with `hg` (source installations from Mercurial repositories)

### Heptapod 0.16.0 (2020-09-21)

#### Major user visible changes since Heptapod 0.15

- heptapod#336: upstream GitLab version jump to 13.3
- heptapod#335: Mercurial 5.5, with hg-git 0.9.0 and hg-evolve 10.0.2
- heptapod#324, heptapod#344: displaying the Mercurial Node ID (SHA) in
  in various places (see heptapod#6 for remaining cases)

#### Changes since Heptapod 0.16.0rc1

- heptapod#345: proper tag information in Heptapod Rails tarball
- various graphical identity improvements: Heptapod favicon, logo for error
  pages (404, 502 etc).

### Heptapod 0.16.0rc1 (2020-09-10)

In this version, we are launching
[Omnibus Heptapod](https://foss.heptapod.net/heptapod/omnibus-heptapod),
with immediate benefits on our Docker images, but still a long way to go to
provide Debian and RPM packages.

- heptapod#336: upstream GitLab version jump to 13.3
- heptapod#338: packaging capability for Heptapod specific frontend assets
  (images, styles, JavaScript…)
- heptapod#342: displaying Mercurial Node IDs (SHAs) in commit links rendered
  with Markdown, most notably all system (automatic) notes and cross-references.
- heptapod#335: Mercurial 5.5, with hg-git 0.9.0 and hg-evolve 10.0.2
- heptapod#334: internal tightenings after heptapod#332
- heptapod#344: displaying Mercurial Node IDs in Repository > Graph page

### Heptapod 0.15.3 (2020-09-04)

- Upstream GitLab version bump to 13.1.11 (from 13.1.8).
  See the [upstream security announcement](https://about.gitlab.com/releases/2020/09/02/security-release-gitlab-13-3-3-released/)

### Heptapod 0.15.2 (2020-08-24)

- Upstream GitLab version bump to 13.1.8 (from 13.1.5)
- heptapod#332: publication permission wasn't enforced in operations executed
  from the Web application


### Heptapod 0.15.1 (2020-08-04)

#### Upgrade notes

If you are upgrading from Heptapod<0.15, please see the upgrade notes for
Heptapod 0.15.0 and apply them to 0.15.1.

Upgrading from 0.15.0 involves no data migrations and is safely reversible.

#### Bug fixes

- heptapod#324: repository-specific configuration wasn't applied in operations
  initiating by the web application

#### User messages (July virtual sprint)

- heptapod#20, heptapod!93, heptapod!94, heptapod!96:
  many messages displayed or sent to the end users were Git centric
  and thus inappropriate for Mercurial (many such remains)
- heptapod#210: more user friendly message in pushes blocked by lack of
  publication rights
- heptapod!95: hid the Web IDE from most pages because it does not work with
  Mercurial yet.

### Heptapod 0.15.0 (2020-07-30)

#### Upgrade notes

This is a major GitLab version change.

Don't upgrade directly from Heptapod 0.13.x, make a stop at any
Heptapod 0.14 version and [wait for all background migrations to be done](https://docs.gitlab.com/ce/update/README.html#checking-for-background-migrations-before-upgrading)

#### Major changes since Heptapod 0.14

- GitLab 13.1

#### Changes since Heptapod 0.15.0rc1

- All changes from Heptapod 0.14.4
- Upstream GitLab version bump to 13.1.5 (from 13.1.4)
- heptapod!85 (internal): CI configuration for a subset of relevant Ruby tests
- heptapod!89 (internal): test setup for work on HGitaly integration in the
  Rails application, already checked by the CI.

### Heptapod 0.14.4 (2020-07-30)

- heptapod#320: Mercurial housekeeping "full repack" task was needlessly too
  deep, leading to up to an hour of blocking for the largest repos.

### Heptapod 0.15.0rc1 (2020-07-24)

#### User visible changes

- base GitLab CE version jump from 12.10.14 to 13.1.4. In particular:

  + don't upgrade directly from Heptapod 0.13.x, make a stop at any
    Heptapod 0.14 version and [wait for all background migrations to be done](https://docs.gitlab.com/ce/update/README.html#checking-for-background-migrations-before-upgrading)
  + Snippets are now under Git version control (heptapod#294), with a
    background migration that creates and "backfills" Git repositories for the
    existing ones.

- all changes previously released in Heptapod 0.14.2

#### Internal changes

- heptapod!84: default value of the database column `projects.vcs_type` is now
  `git`, the `hg_git` default value being enforced at the application level.
- heptapod#15: partial restoration of RSpec unit tests.

### Heptapod 0.14.2 (2020-07-17)

#### User visible changes

- heptapod#286: Mercurial housekeeping tasks (recover and optimization only
  for now)
- heptapod#300: incrementality of project-level Mercurial configuration editing
  (API PUT on `projects/:id/hgrc`), new reset HGRC API endpoint
- heptapod#299: robustness of project-level Mercuiral configuration retrieval
  (API GET on `projects/:id/hgrc`)
- heptapod#314: project size now includes the Mercurial repository. Statistics
  won't be immediately updated: nothing new update mechanisms are introduced
  on top of the regular GitLab statistics update systems.
- Mercurial 5.4.2

#### Internal changes

- heptapod#293: moved `HgHttpController` to match `GitHttpController` new
  location in GitLab 12.10
- heptapod#296: renamed `HgAccess::UnauthorizedError` for consistency with
  `GitAccess`
- heptapod#295: explicit parameter in `/allowed` internal API endpoint to
  firmly distinguish between pre-receive called by Mercurial from SSH Git
  access.

### Heptapod 0.14.1 (2020-07-08)

Base GitLab CE version from 12.10.11 to 12.10.14. Relevant release notes:

- [12.10.14](https://about.gitlab.com/releases/2020/07/06/critical-security-release-gitlab-13-1-3-released/)
- [12.10.13](https://about.gitlab.com/releases/2020/07/01/security-release-13-1-2-release/)
- [12.10.12](https://about.gitlab.com/releases/2020/06/25/gitlab-12-10-12-released/)


### Heptapod 0.14.0 (2020-06-29)

#### Major changes since Heptapod 0.13

For more details, see the changelogs related to 0.14.0rcN

- base GitLab CE version jump from 12.3 to 12.10, currently still supported
  for security issues.
- heptapod#311: disabling of server-side operations on projects with
  subrepositories, as a protection measure.
- various improvements on the Bitbucket importer for last round of imports
  before 2020-07-01 (Bitbucket deadline)

#### Changes since 0.14.0rc3

- heptapod#311 (subrepositories): forbid server side repository content
  editing (file updates, explicit merges) on projects with subrepositories.
  These operations will be reenabled in a subsequent version when we can
  safely ignore subrepositories on the server side.
- heptapod#310: parsing of `.hgsub` didn't accept some valid configurations

### Heptapod 0.14.0rc3 (2020-06-26)

- heptapod#287: better robustness of Bitbucket importer for failed issue
  attachments.
- heptapod#253: reimport Bitbucket issue attachments if entirely missing
  (no attachment link in description, a coarse criterion)
- heptapod#298: MediaWiki format support in Wikis

### Heptapod 0.14.0rc2 (2020-06-24)

- heptapod#308: reimport missing Issues and Pull Requests from Bitbucket if
  targeting an already imported project with the free input form.

### Heptapod 0.14.0rc1 (2020-06-22)

- base GitLab CE version jump from 12.3.9 to 12.10.11. In particular:

  + includes all upstream security fixes
  + the Go language implementation of SSH support is now the only one.
    Feature flags related to previous technology preview status are ignored.

- Python 3 is now the default, in particular in Docker images.
  Python 2 still supported.
- all changes previously released in Heptapod 0.13.2

### Heptapod 0.13.2 (2020-06-15)

- heptapod#297: missing notifications for merge changesets and file editing
  done from the interface, affecting pipelines, service integrations etc.
- heptapod#292: on Python 3, import of Bitbucket Pull Requests from personal
  forks was failing
- heptapod#289: connection test to Read the Docs
- heptapod#290: on Golang version of SSH support, trailing slash wasn't
  accepted.
- Bumped Mercurial from 5.4 to 5.4.1

### Heptapod 0.13.1 (2020-06-11)

- heptapod#269 (internal): major refactor of the way GitLab branches get removed
  ("pruned") according to changes in Mercurial repository content, together
  with new, faster and more robust detection of manual merges for
  Merge Requests. User visible improvements:

  + heptapod#288: avoid lingering branches in the Web UI corresponding to
    published topics. Such previously existing phantom branches should be
    "pruned" at first push after the version upgrade.
  + heptapod#278: users shouldn't be prompted to create or update Merge Requests
    for phantom topic branches.
  + heptapod#268: no pipeline should be created for topics upon publication
    (merge), only for the target branch.
  + heptapod#207: Merge Request detection works if named branches are closed
    in the same push (before or after the merge).

- heptapod#282: Read the Docs, new Project integration for Mercurial only.
  Does not test connection in this first version, see heptapod#289.
- heptapod-shell#2 (technology preview): rewrite of Mercurial SSH access in
  the Go programming language. Will become the only option in Heptapod 0.14.
- py-heptapod#3: `HEPTAPOD_REPOSITORY_USAGE` environment variable is available
  for Mercurial hooks, with values such as `project` and `wiki`.

### Heptapod 0.13.0 (2020-05-29)

#### Major changes since Heptapod 0.12

For more details, see the changelogs related to 0.13.0rcN

- Wikis are fully supported, with Bitbucket import
- Python 3 is supported. Two series of Docker images are available, with
  Python 2 the default. The default can change in later 0.13 versions.
  Source installation instructions include a recommended
  setup to switch Python version easily.
- Heptapod Workhorse is included (Docker) and required (source installs).
  This is a major progress in HTTP performance for Mercurial repository content.
- Full support for editing repository files through the web, except with the
  Web IDE (problems with branch creation, see heptapod#285).
- GitLab 12.3.9, Mercurial 5.4, hg-evolve 10.0.0.
  Mercurial and Python version details are now displayed on the help page and
  the admin dashboard.

#### Changes since 0.13.0rc2

- heptapod#280: implementation of server-side rebase (for topics only)
- heptapod#107: restored edit/replace/delete buttons for files. Web IDE not
  fully supported
- heptapod#279: Bitbucket import for wikis
- heptapod#284: Prevent merge/accept of Merge Requests targeting topics to
  avoid dangerous publications. Proper behaviour to be determined.

### Heptapod 0.13.0rc2 (2020-05-23)

- Python 3 support either from source or with the
  `octobus/heptapod:0.13.0rc2-py3` Docker image. Python 2 is still the default.
  Testing with Python 3 is encouraged. It is strongly advised to
  switch back to Python 2 for comparison in case of issue.
- heptapod#275: backups for wikis
- heptapod#277: partial fix for temporary working directories (hg shares)
- heptapod#199, heptapod#271: Python, Mercurial and hg-evolve version are
  now displayed in the help page and the admin dashboard.
- heptapod-workhorse#1: version properly displayed if installed from a tarball
  (which is the case in the Docker image)

### Heptapod 0.13.0rc1 (2020-05-14)

- heptapod#173: Support Wikis (still to be considered experimental. Not
  imported from Bitbucket, no preview for RST)
- heptapod#255: Heptapod Workhorse is now standard and mandatory
- heptapod#245: GitLab 12.3.9
- Mercurial 5.4
- hg-evolve 10.0.0
- (Docker): the `octobus/heptapod` is about 1 GB smaller, see heptapod-docker#5
- heptapod#107 (related): improvements for commit creations by the web
  application.
- heptapod#243: cloning with deploy tokens now works


#### Internal changes

- py-heptapod!20: Mercurial notifies GitLab by calling the internal REST API
  itself
- Separation of internal Git and Mercurial logic in preparation for HGitaly
  and Git support.


### Heptapod 0.12.4 (2020-05-19)

- In some cases, failing to backup a single repository could abort the
  whole process
- heptapod#260: pipelines weren't created for new tags, and stale view of
  tag names from the web app.
- heptapod#126: default GitLab branch can't be a topic any more unless there
  is nothing else. In that case, the first publication will update the GitLab
  branch.

### Heptapod 0.12.3 (2020-05-06)

- heptapod#263: Bitbucket import page was broken for users with group creation
  rights (regression introduced in 0.12.2)
- heptapod#265: all pushes could be blocked if search for latest topic
  changeset before publication failed, which can happen in inconsistent states
  only.
- heptapod#145: ensure that pipelines run in the target branch after merge from
  the web application. Possible improvements for heptapod#261 and heptapod#215
  will be inv
- heptapod#251: now Bitbucket importer sets the default branch as it was on
  Bitbucket (named branch only)
- heptapod#242: bump to hg-evolve 9.3.1, unblocking some scenarios involving
  stacked topics and Merge Requests.

#### potential improvements

(untested as of this writing)

- heptapod#215: update dependent Merge Request after merge
- heptapod#265: detect merge of Merge Request for topic if a dependent one
  is merged from the web application (hence publishing the two topics)

#### Docker image changes

- heptapod-docker#6: general base OS upgrade
- heptapod-docker#5: the `octobus/heptapod` is now about 1GB smaller, mostly
  by not moving the biggest conversion to Mercurial to `octobus/heptapod-dev`

### Heptapod 0.12.2 (2020-04-30)

- heptapod#256: (major UX) users that can create projects in groups but
  not in their personal namespaces didn't see the various "New projects" links.
  Now they do.
- heptapod#217: implemented the Merge Request squash option
- heptapod#258: pushing a topic related to another branch than the default one
  from GitLab's point of view now gives rise to the correct Merge Request
  suggestion

### Heptapod 0.12.1 (2020-04-23)

- heptapod#104: Bitbucket import for issues attachments (global ones)
- heptapod#120: Heptapod Workhorse available for source installs only
- heptapod#250: Broken MR page if target branch has vanished
- heptapod#254: Free input form for Bitbucket imports, activable by new setting
  in the admin area.

### Heptapod 0.12.0 (2020-04-06)

#### Changes since Heptapod 0.8.4

##### Breaking changes

- heptapod#212: jump to GitLab CE 12.2.12 – do not migrate directly.
- heptapod#221: users will need `hg-evolve>=9.3.0` to pull topics. Clients
  without the `topics` extension won't pull them – that's the point.

##### Major improvements

- heptapod#135: removed inner Git push for a major performance boost in pushes
  (up to x10 on the largest repositories). We're now using only one inner Git
  repository instead of two, also saving some space on storage.
- Mercurial 5.3.1, Evolve 9.3.0
- heptapod#224: core adaptation of the GitLab features to write repository
  files (including README etc) from the web UI

##### Minor improvements

- heptapod#226: better support for Bitbucket import of overlapping or stacked
  Pull Requests
- heptapod#192: optimize repository after import

#### Changes since Heptapod 0.12.0rc6

- heptapod#235: fixed project transfers on legacy storage
- heptapod#234: removed irrelevant GitHub and GitLab import sources
- heptapod#228: support migration from legacy to hashed repository storage
  and back
- heptapod#226: better support for Bitbucket import of overlapping or stacked
  Pull Requests
- heptapod#221: do not serve changeset with topics to clients that don't have
  the `topics` extension
- heptapod#218, heptapod#219: hide unsupported cherry-pick and revert options
  on merged MRs
- heptapod#192: optimize repository after import


### Heptapod 0.12.0rc5 (2020-03-30)

- heptapod#229: backups were not working in previous RC releases
- all fixes from Heptapod 0.8.4 (see below)

### Heptapod 0.12.0rc4 (2020-03-25)

- heptapod#223: the pages behind commits main URLs were broken
- heptapod#224: core adaptation of the GitLab features to write repository
  files (including README etc) from the Rails app, except in the case of
  empty repositories

### Heptapod 0.12.0rc3 (2020-03-18)

- fixed an issue with initialisation of Bitbucket Import SSO provider that was
  impairing migrations.

Bitbucket import features aren't tested yet in this release.

### Heptapod 0.12.0rc2 (2020-03-17)

- fixed merge changeset generation, which would fail on most setups except
  some development rigs.
- fixed bundler version in `Gemfile.lock` that was impairing Docker start.


### Heptapod 0.12.0rc1 (2020-03-16)

#### Major improvements

- heptapod#212: jump to GitLab CE 12.2.12 – do not migrate directly.
- heptapod#135: removed inner Git push for a major performance boost in pushes
  (up to x10 on the largest repositories). We're now using only one inner Git
  repository instead of two, also saving some space on storage.
- Mercurial 5.3.1, Evolve 9.3.0

#### Known issues affecting this version.

- heptapod#213: group HGRCs won't work on hashed projects

### Heptapod 0.8.4 (2020-03-29)

This release should be the last of the 0.8 series. It fixes issues about
backups that could be annoying when users start to upgrade to 0.12.x

- heptapod#174: group-level HGRCs are now backuped
- heptapod#232: part of the HGRC that's manageable through the Rails
  application (API only for now) wasn't backuped.
- heptapod#208: prevented Git pulls and pushes on Mercurial repositories over
  SSH (possible due to inner implementation details, but very bogus)

### Heptapod 0.8.3 (2020-02-19)

- heptapod#165: a subset of Mercurial settings from the `[heptapod]` section
  can now be set with the new API `PUT` on `<project_api_url>/hgrc`, in
  particular without file system access.
- heptapod#196: web hooks now include Mercurial revision information (not
  tested with tags and full integrations)
- heptapod#142: the "fast-forward" merge method is now supported. Mercurial
  equivalent is to publish a topic.
- heptapod#143: removed deadlock situations due to existing bookmarks if
  these are not explicitely allowed (implicit push & removal)
- heptapod#198: fixed detection of failed Bitbucket imports


### Heptapod 0.8.2 (2020-02-05)

- heptapod#175: backups now carry obsolescence markers and phase information.
- heptapod#182: fixed integrations setting page that was broken for some
  instances migrated from pre 0.8 version.
- heptapod#180: help page now displays base GitLab version, and on source
  installs such as foss.heptapod.net, doesn't have obscure error message
  that `evolve` hasn't been found
- heptapod#181: fixed Bitbucket PR imports for some source installs, and
  a few other failing `hg` calls

### Heptapod 0.8.1 (2020-01-23)

- heptapod#167. heptapod#169, heptapod#166: robustness for special cases in
  import of Bitbucket Pull Requests
- heptapod#156: it is now possible to have a low privilege Bitbucket SSO
  configuration together with a more privileged one at the same time
- heptapod#72: user and project information also available as environment
  variables for external hooks in HTTP case
- heptapod#80: removed button/link to resolve conflict from the web UI
- heptapod#28: bare minimum update to mention Mercurial on
  help page about merging from command line
- heptapod#3: removed creation of branches and merge requests from an issue
  (not Mercurial ready).
- heptapod#133: fixes for forward slashes in topics and branch names had not
  been merged from Heptapod 0.7.1

### Heptapod 0.8.0 (2020-01-17)

#### General notes

This is a release with several data migrations, including all those from
GitLab 10.3.9 to GitLab 10.5.8. Backup before applying, and if possible try
on a testing server first.

#### Specific data migrations

- heptapod#144: removed previously used SSH key for inner pushes to auxiliary
  Git repository
- heptapod#150 (related): we don't need to include `/etc/gitlab/heptapod.hgrc`
  from the repositories' hgrcs, `.hg/hgrc.local` gets renamed back to
  `.hg/hgrc`.
- heptapod#150 (related): we don't need to include `repos.hgrc` in
  `/etc/gitlab/heptapod.hgrc`, removing that.
- heptapod#159: there's a new `vcs_type` column on the `projects` table.
  Its value is `hg_git` for all previously created projects. New values will
  appear in the future.

#### Changes since 0.8.0rc3

- heptapod#160, heptapod#158: made imports more robust, in particular with
  Bitbucket clonebundles in a context with lots of obsmarkers
- heptapod#129: proper bypass of force pull checks, which are inner details
  for `hg_git` Projects
- heptapod#142: in Merge Request settings, made explicit what the default
  strategy does and that the others aren't supported
- heptapod#161: Avoid importing changesets for merged
  or declined Bitbucket Pull Requests.

### Heptapod 0.8.0rc3 (2020-01-08)

- heptapod#154: Fixed awareness of GitLab about SSH pushes
- heptapod-docker#1: Fixed ownership problem of HGRC files after migration
                     for rc2

### Heptapod 0.8.0rc2 (2020-01-07)

- heptapod#150: Make Heptapod installable from source
- heptapod#153: Restore SSH dropdown clone option
- heptapod#151: Accept trailing slash in SSH Mercurial URLs
- heptapod#144 (related): silenced user feedback about inner Git pushes
- all changes from Heptapod 0.7.1

#### Internal

- heptapod#149: factorized Mercurial access level assessments

### Heptapod 0.8.0rc1 (2019-12-25)

- heptapod#11: SSH support
- heptapod#116: GitLab 10.5.8
- heptapod#144: fire GitLab pre-receive hook directly from Mercurial
- heptapod#127: better branching strategy for the Heptapod project itself

### Heptapod 0.7.1 (2020-01-07)

- heptapod#106: importing Bitbucket Pull Requests originating from forks.
- heptapod#133: refusal/conversion of forward slashes in topic names

### Heptapod 0.7.0 (2019-12-03)

#### General notes

This is a release with several data migrations, including all those from
GitLab 10.1.7 to GitLab 10.3.9. Backup before applying, and if possible try
on a testing server first.

Users allowing drafts changesets without topics will probably need to
change the protection level of the default branch. See heptapod#129 for more
details.

Changes are listed since 0.7.0.rc1

#### Breaking changes

- heptapod!41: Heptapod Mercurial hooks have been moved to the `py-heptapod`
  project, i.e, they are now part of the `heptapod.hooks` package instead of
  `heptapod_hooks`.

#### Improvements and bug fixes

- heptapod#134: upon topic rename or retargeting, the previous GitLab branch
  is now pruned.
- heptapod#118: minimal support for the `largefiles` extension
- heptapod#131: fixed error message for failed MR merges (regression in rc1)

### Heptapod 0.7.0rc1 (2019-11-25)

#### Breaking changes and data migrations
(at least, potentially)

- heptapod#114: GitLab base version is now 10.3.9
- heptapod#91: removed mirror-path settings from repository-local HGRCs
- heptapod#89: Mercurial version is now 5.2
- heptapod#121: post-transaction inner Git Pushes
- heptapod#73: firing of GitLab post-receive hook from Mercurial
- hg-git!22: by default, pruning Gitlab branches for closed Mercurial named
  branches
- hg-git!20: pruning GitLab branches for Mercurial named branches having
  only bookmarked heads

#### Changes involving data migration
(at least, potentially)

- heptapod#91: reorganisation of repositories HGRCs
- heptapod#103: support group-level HGRCs (on file system only)
- heptapod#88: GitLab base version is now 10.2.8

#### Bug fixes and backwards compatible changes

- heptapod#21: proper attribution of pushes and related actions (merge
  detection, pipeline runs…)
- heptapod#112: (performance) stop scanning for repositories
- heptapod#92: better transactional properties
- heptapod#90: could not push to renamed projects

### Heptapod 0.6.3 (2019-11-25)

- heptapod#119: Robustness in case of half-rollbacked pushes, such as those due
  to heptapod#92
- heptapod#122: Give end user explanations if some pushes are refused due to
  protected branches and similar
- heptapod#67 (mitigation): `web.refreshinterval` can now be set in
  `/etc/gitlab/heptapod.hgrc`, see also heptapod#112 for proper fix in future
  version 0.7.0.

### Heptapod 0.6.2 (2019-10-30)

- heptapod#102: Bitbucket import: missing issue author information
- heptapod#105: Bitbucket import: correct import for non-fork Pull Requests
- heptapod#101: In case of multiple heads, forwarding the GitLab branch anyway,
  thus preventing in particular the extreme and blocking case of named branches
  not appearing after import.

### Heptapod 0.6.1 (2019-09-30)

- heptapod#93: handle closed branches properly. For backwards compatibility,
  in 0.6.1, previously closed branches will not be impacted, and it's possible to
  get back to the previous behaviour.
- heptapod#95: could not push by default on branches with multiple, yet closed,
  heads
- heptapod#96: named branches whose head have a tag failed to be created or
  updated on the GitLab side
- heptapod#94: fixed help page (/help), that was broken with 500 code since
  forever
- heptapod!31: introduced HEPTAPOD_VERSION and displayed it on help page and
  admin dashboard, and also removed irrelevant upgrade status badge
- hg-git#5: problems with multiple heads and branch/topic changes
- hg-git!15: fixes for import problems found while testing on the PyPy
  repository
- first Docker image done from the dedicated `heptapod-docker` project.

### Heptapod 0.6.0 (2019-09-16)

#### Strongly breaking changes

- heptapod#79: now the Master project role is required to publish changesets
- non-topic draft changesets get published by default

See also the entry about Heptapod default workflow in the
[FAQ](https://heptapod.net/pages/faq.html#workflow) for more information.

#### Mildly breaking changes

- bookmarks are forbidden by default and always forbidden on topic
  changesets, see also the relevant
  [FAQ entry](https://heptapod.net/pages/faq.html#bookmarks).
  This is only mildly breaking because they were almost always refused
  in previous versions, being considered multiple heads.
- Mercurial logs by default to `/var/log/gitlab/hgserve/mercurial.log`
- heptapod#76: fixed as side effet of Mercurial not logging to `stderr`
  (see above)
- internal reorganisation: hgserve WSGI wrapper and specific conf now
  with the rails app, alongside `repos.hgrc`

#### Backwards compatible changes

- heptapod#60: recreated the Import from URL feature upon project creation.
- hg-git#2: multiple heads per branch support (requires explicit configuration)
- heptapod#72: user and project information available in `ui.environ` from
  within Mercurial process, including hooks.
- heptapod#86: server-side obsolete heads prevented merging from the UI (should
  be a rare bogus condition)
- updated base GitLab version to 10.1.7

### Heptapod 0.5.2 (2019-08-13)

- heptapod#81: fixed pushes that prune whole topics or rename them

### Heptapod 0.5.1 (2019-08-13)

- heptapod#65: a wrong exception raising that used to mask the real error

### Heptapod 0.5.0 (2019-08-12)

- heptapod#47: autodetection of Merge Requests status change (merged) upon
  `hg push`, with or without rebases in the push.
- heptapod#71: fixed encoding issues in commits created by merging MRs
  from GitLab
- hg-git#3: fixed crash due to the Git repository having a commit that's
  unknown in the Mercurial repository (Mercurial has authority anyway)
- hgext-loggingmod#1: broken default levels for Sentry logging

### Heptapod 0.4.2 (2019-08-02)

- omnibus#8: fixed persistence of `heptapod.hgrc`
- internal reorganisation: moved Mercurial hooks into hg-git for easier
  inclusion and management

### Heptapod 0.4.1 (2019-07-19)

- heptapod#59: stop crashing open Merge Request web pages if source branch has
  disappeared

### Heptapod 0.4.0 (2019-07-08)

- heptapod#54: proper logging and Sentry integration for Mercurial subsystem
  (`hgserve`) thanks to the `loggingmod`  extension
- first `README` for the Docker image

### Heptapod 0.3.2 (2019-07-02)

- heptapod#62: unauthorized to perform used to look like a crash
- heptapod#61: final fix of anonymous operations on public repositories
  (comprehensive listing read-only Mercurial wire protocol commands)
- various internal tweaks for the `hgserve` subsystem (Gunicorn)

### Heptapod 0.3.1 (2019-06-07)

- heptapod#61: partial fix for some cases of anonymous pulling on public repos

### Heptapod 0.3.0 (2019-05-24)

- first version to split HGRC into persistent and non-persistent parts
- first version to have proper tags for all components

