# frozen_string_literal: true

# TODO Heptapod 0.19 try and increase generality, as done with Git repos
# so that we can have other Mercurial repos than Project and Project Wiki repos
scope(path: '*namespace_id/:repository_id',
      format: nil,
      constraints: { namespace_id: Gitlab::PathRegex.full_namespace_route_regex }) do
  scope(constraints: { repository_id: Gitlab::PathRegex.project_route_regex }, module: :repositories) do
    # Mercurial HTTP clients ('hg clone' etc.)
    scope(constraints: lambda {|req| req.params.key? :cmd }, controller: :hg_http) do
      get '/', action: :hg
      post '/', action: :hg_post
    end
  end
end
