# frozen_string_literal: true

class AddCannotCreateProjectTextToApplicationSettings < ActiveRecord::Migration[6.0]
  DOWNTIME = false

  # rubocop:disable Migration/AddLimitToTextColumns
  # enforcing a limit in this Administrator-only text field would be an unnecessary
  # restriction that we'd lift anyway when people reach it.
  # In particular, there's no security concern such as avoiding spam when user
  # by definition is the one having responsibility.
  def change
    add_column :application_settings, :cannot_create_project_text, :text, null: true
    add_column :application_settings, :cannot_create_project_text_html, :text, null: true
  end
  # rubocop:enable Migration/AddLimitToTextColumns
end
