# frozen_string_literal: true

require 'spec_helper'

RSpec.describe VcsTypeHelper do
  let(:group) {create(:group, default_vcs_type: 'git')}
  let(:project_without_group) {create(:project)}
  let(:project_with_group) {create(:project, group: group)}

  describe 'vcs_type_default' do
    it 'returns library default with default app settings values without group' do
      expect(helper.vcs_type_default(project_without_group)).to eq(Gitlab::Vcs::DEFAULT_TYPE)
    end

    it 'returns group default' do
      expect(helper.vcs_type_default(project_with_group)).to eq('git')
    end
  end
end
